package ink.wgink.mongo.module.dictionary.controller.route;

import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: IDataDictionaryRouteController
 * @Description: 数据字典
 * @Author: WangGeng
 * @Date: 2019/12/6 16:52
 * @Version: 1.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "数据字典页面接口")
@Controller
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/mongo/data")
public class MongoDataRouteController {

    @GetMapping("list-tree")
    public ModelAndView listTree() {
        return new ModelAndView("mongo/data/list-tree");
    }

    @GetMapping("list-tree-mongo")
    public ModelAndView listTreeMongo() {
        return new ModelAndView("mongo/data/list-tree-mongo");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("mongo/data/list");
    }

    @GetMapping("list-mongo")
    public ModelAndView listMongo() {
        return new ModelAndView("mongo/data/list-mongo");
    }

}
